# The Docker image that will be used to build your app
image: harbor.pagoda.os.univ-lyon1.fr/ecoquery-hugo/hugo:latest


pages:
  script:
      - cd web
      - hugo
      - mv public ../public
  artifacts:
    paths:
      - public
  only:
    - master


test:
  script:
      - pwd
      - cd web
      - hugo
      - mv public ../public
      - ls -la ..
      - ls -la ../public
      - chmod 755 ../public
      - chmod 644 ../public/index.html
  except:
    - master

